.webform-submission-contact-form,
.webform-submission-contact-intake-team-form {
  display: grid;
  gap: 24px;
  max-width: 768px;
  margin: 0 auto;

  @media (min-width: 640px) {
    grid-template-columns: 1fr 1fr;
  }

  & [data-drupal-messages] {
    grid-column: 1 / -1;
    background: var(--bg-success);
    color: var(--text-success);
    border-radius: 4px;
    padding: 16px;
    font-weight: 500;
  }

  & [data-drupal-messages]:has([role="alert"]) {
    display: none;
  }

  & .form-item-header {
    grid-column: 1 / -1;
    text-align: center;
    text-wrap: balance;

    display: flex;
    flex-direction: column;
    gap: 16px;

    & p {
      color: var(--text-secondary);
    }
  }

  & .form-item-topic {
    grid-column: 1 / -1;
  }

  & .webform-radios-other:has(.form-item-which-best-describes-you-radios) {
    grid-column: 1 / -1;

    & .js-webform-radios {
      display: grid;
      gap: 14px 24px;

      @media (min-width: 640px) {
        grid-template-columns: 1fr 1fr;
      }
    }

    & .webform-radios-other-input {
      display: flex;
      flex-direction: column;
      width: 100%;
      margin-top: 14px;
    }
  }

  & .form-item-message {
    grid-column: 1 / -1;

    & textarea {
      width: 100%;
      height: 100%;
    }
  }

  & .form-item-terms-of-service {
    grid-column: 1 / -1;
  }

  & .form-actions {
    grid-column: 1 / -1;

    & .form-submit {
      width: 100%;
    }
  }
}

#block-kackaamin-contact-webform {
  flex-direction: column;
  padding: 16px;
  gap: 16px;
  background-color: var(--bg-primary);
  color: var(--text-primary);
  position: fixed;
  margin-left: auto;
  width: 100%;
  max-width: 640px;
  height: 100%;
  overscroll-behavior: none;

  &:popover-open {
    display: flex;
  }

  &::backdrop {
    background-color: color-mix(var(--color-inlet) 10%, var(--color-mist) 40%);
    backdrop-filter: blur(15px);
  }

  & > button {
    align-self: end;
    flex-shrink: 0;
  }

  & > .form-content {
    padding: 0 8px 64px 8px;
    max-width: 512px;
    margin: 0 auto;
  }
}

.webform-submission-contact-intake-team-form {
  padding: 64px 0;
}
